Estimate Bill From Range
curl --request GET \
--url https://api.trieve.ai/api/stripe/estimate_bill/{plan_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"gt": "2021-01-01 00:00:00.000",
"gte": "2021-01-01 00:00:00.000",
"lt": "2021-01-01 00:00:00.000",
"lte": "2021-01-01 00:00:00.000"
}
'import requests
url = "https://api.trieve.ai/api/stripe/estimate_bill/{plan_id}"
payload = {
"gt": "2021-01-01 00:00:00.000",
"gte": "2021-01-01 00:00:00.000",
"lt": "2021-01-01 00:00:00.000",
"lte": "2021-01-01 00:00:00.000"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gt: '2021-01-01 00:00:00.000',
gte: '2021-01-01 00:00:00.000',
lt: '2021-01-01 00:00:00.000',
lte: '2021-01-01 00:00:00.000'
})
};
fetch('https://api.trieve.ai/api/stripe/estimate_bill/{plan_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"amount": 123,
"clean_name": "<string>",
"name": "<string>",
"usage_amount": 1
}
],
"total": 123
}{
"message": "Bad Request"
}Stripe
Estimate Bill From Range
Return the amount you will be billed from a date range if you were on usage based pricing
GET
/
api
/
stripe
/
estimate_bill
/
{plan_id}
Estimate Bill From Range
Authorizations
Path Parameters
Body
application/json
DateRange is a JSON object which can be used to filter chunks by a range of dates. This leverages the time_stamp field on chunks in your dataset. You can specify this if you want values in a certain range. You must provide ISO 8601 combined date and time without timezone.
Was this page helpful?
⌘I